<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 2</title>
</head>
<body>
    <script>
        const characters = [
        {
            name: "Елена",
            lastName: "Гилберт",
            age: 17, 
            gender: "woman",
            status: "human"
        },
        {
            name: "Кэролайн",
            lastName: "Форбс",
            age: 17,
            gender: "woman",
            status: "human"
        },
        {
            name: "Аларик",
            lastName: "Зальцман",
            age: 31,
            gender: "man",
            status: "human"
        },
        {
            name: "Дэймон",
            lastName: "Сальваторе",
            age: 156,
            gender: "man",
            status: "vampire"
        },
        {
            name: "Ребекка",
            lastName: "Майклсон",
            age: 1089,
            gender: "woman",
            status: "vempire"
        },
        {
            name: "Клаус",
            lastName: "Майклсон",
            age: 1093,
            gender: "man",
            status: "vampire"
        }
        ];

        // const charactersShortInfo = ({gender, status, ...rest}) => rest
        // console.log(charactersShortInfo(characters))
        // Почему так не работает??

        const charactersShortInfo = characters.map(
            ({age, lastName, name}) => ({name, lastName, age})
        )
        console.log(charactersShortInfo)
    </script>
</body>
</html>